title1 Census of Canada, 1971: MUNICIPALITY/CA-Short Form : B1DEMC02
title2 SAS control commands by Sushil Kumar UT/DLS 07/01
// JOB
/*SERVICE ?
/*ROUTE PRINT RMT402
//  EXEC SAS
//SASLIB  DD DSN=
//IN  DD DSN=
//OUT  DD DSN=
//SYSIN  DD *
PROC FORMAT DDNAME=SASLIB;
VALUE  V1_F   10         = 'NEWFOUNDLAND'
             11         = 'PR EDWARD ISLAND'
             12         = 'NOVA SCOTIA'
             13         = 'NEW BRUNSWICK'
             24         = 'QUEBEC'
             35         = 'ONTARIO'
             46         = 'MANITOBA'
             47         = 'SASKATCHEWAN'
             48         = 'ALBERTA'
             59         = 'BRITISH COLUMBIA'
             60         = 'YUKON TERRITORY'
             61         = 'NW TERRITORIES'
       ;
VALUE  V7_F   1          = 'RURAL'
             2          = 'CTV'
             3          = 'URBAN'
             4          = 'URBAN'
             5          = 'URBAN'
             6          = 'URBAN'
             7          = 'URBAN'
             8          = 'URBAN'
             9          = 'URBAN'
             0          = 'NOT A MUN RECORD'
       ;
VALUE  V10_F   1          = 'LARGEST CITY'
             2          = 'REMAINDER URBANI'
             3          = 'FRINGE- URBAN'
             4          = 'FRINGE- RURAL'
       ;
VALUE  $V11_F   'A' = '>_500000 (U)'
             'B' = '100000-499999 (U'
             'C' = '30000-99999 (U)'
             'D' = '10000-29999 (U)'
             'E' = '5000-9999 (U)'
             'F' = '2500-4999 (U)'
             'G' = '1000-2499 (U)'
             'H' = '< 1000 (U)'
             '1' = '>_500000 (R)'
             '2' = '100000-499999 (R'
             '3' = '30000-99999 (R)'
             '4' = '10000-29999 (R)'
             '5' = '5000-9999 (R)'
             '6' = '2500-4999 (R)'
             '7' = '1000-2499 (R)'
             '8' = '< 1000 (R)'
       ;
VALUE  V21_F   1          = 'URBAN'
             2          = 'RURAL'
       ;
VALUE  V23_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
VALUE  V24_F   0          = 'URBAN CORE'
             1          = 'FRINGE'
       ;
VALUE  V25_F   0          = 'URBAN'
             1          = 'RURAL'
       ;
DATA OUT.???;
INFILE IN.???;
INPUT  PROV   1-2
       ED   3-4
       EA   5-7
       COUNTY   8-9
       MUNIC   10-11
       SUBDIV   $CHAR2.
       RURAL   14-14
       CMA   15-17
       CT   18-20
       CMAPART   21-21
       MUNSIZE   $CHAR1.
       RURSIZE   $CHAR1.
       REFCODE   24-25
       ECONREG   26-27
       CMCA   28-29
       CTV   30-33
       CMA-CA   34-36
       CONTROL   37-37
       MUNSUBDV   38-38
       BLANK1   39-41
       ECONAREA   42-42
       MSUBSIZE   43-43
       RURCODE   44-46
       CMACODE   47-47
       LGECITY   48-50
       DSN   51-58
       SPBYTES   59-63
       V1   64-70
       V2   71-77
       V3   78-84
       V4   85-91
       V5   92-98
       V6   99-105
       V7   106-112
       V8   113-119
       V9   120-126
       V10   127-133
       V11   134-140
       V12   141-147
       V13   148-154
       V14   155-161
       V15   162-168
       V16   169-175
       V17   176-182
       V18   183-189
       V19   190-196
       V20   197-203
       V21   204-210
       V22   211-217
       V23   218-224
       V24   225-231
       V25   232-238
       V26   239-245
       V27   246-252
       V28   253-259
       V29   260-266
       V30   267-273
       V31   274-280
       V32   281-287
       V33   288-294
       V34   295-301
       V35   302-308
       V36   309-315
       V37   316-322
       V38   323-329
       V39   330-336
       V40   337-343
       V41   344-350
       V42   351-357
       V43   358-364
       V44   365-371
       V45   372-378
       V46   379-385
       V47   386-392
       V48   393-399
       V49   400-406
       V50   407-413
       V51   414-420
       V52   421-427
       V53   428-434
       V54   435-441
       V55   442-448
       V56   449-455
       V57   456-462
       V58   463-469
       V59   470-476
       V60   477-483
       V61   484-490
       V62   491-497
       V63   498-504
       V64   505-511
       V65   512-518
       V66   519-525
       V67   526-532
       V68   533-539
       V69   540-546
       V70   547-553
       V71   554-560
       V72   561-567
       V73   568-574
       V74   575-581
       V75   582-588
       V76   589-595
       V77   596-602
       V78   603-609
       V79   610-616
       V80   617-623
       V81   624-630
       V82   631-637
       V83   638-644
       V84   645-651
       V85   652-658
       V86   659-665
       V87   666-672
       V88   673-679
       V89   680-686
       V90   687-693
       V91   694-700
       V92   701-707
       V93   708-714
       V94   715-721
       V95   722-728
       V96   729-735
       V97   736-742
       V98   743-749
       V99   750-756
       V100   757-763
       V101   764-770
       V102   771-777
       V103   778-784
       V104   785-791 .0
       V105   792-798 .0
       V106   799-805 .0
       V107   806-812 .0
       V108   813-819 .0
       V109   820-826 .0
       V110   827-833 .0
       V111   834-840 .0
       V112   841-847 .0
       V113   848-854 .0
       V114   855-861 .0
       V115   862-868 .0
       V116   869-875 .0
       V117   876-882 .0
       V118   883-889 .0
       V119   890-896 .0
       V120   897-903 .0
       V121   904-910 .0
       V122   911-917
       V123   918-924
       V124   925-931
       V125   932-938
       V126   939-945
       V127   946-952
       V128   953-959
       V129   960-966
       V130   967-973
       V131   974-980
       V132   981-987
       V133   988-994
       V134   995-1001
       V135   1002-1008
       V136   1009-1015
       V137   1016-1022
       V138   1023-1029
       V139   1030-1036
       V140   1037-1043
       V141   1044-1050
       V142   1051-1057
       V143   1058-1064
       V144   1065-1071
       V145   1072-1078
       V146   1079-1085
       V147   1086-1092
       V148   1093-1099
       V149   1100-1106
       V150   1107-1113
       V151   1114-1120
       V152   1121-1127
       V153   1128-1134
       V154   1135-1141
       V155   1142-1148
       V156   1149-1155
       V157   1156-1162
       V158   1163-1169
       V159   1170-1176
       V160   1177-1183
       V161   1184-1190
       V162   1191-1197
       V163   1198-1204
       V164   1205-1211
       V165   1212-1218
       V166   1219-1225
       V167   1226-1232
       V168   1233-1239
       V169   1240-1246
       V170   1247-1253
       V171   1254-1260
       V172   1261-1267
       V173   1268-1274 .0
       V174   1275-1281 .0
       V175   1282-1288 .0
       V176   1289-1295 .0
       V177   1296-1302 .0
       V178   1303-1309 .0
       V179   1310-1316 .0
       V180   1317-1323 .0
       V181   1324-1330 .0
       V182   1331-1337 .0
       V183   1338-1344 .0
       V184   1345-1351 .0
       V185   1352-1358 .0
       V186   1359-1365 .0
       V187   1366-1372 .0
       V188   1373-1379 .0
       V189   1380-1386 .0
       V190   1387-1393 .0
       V191   1394-1400 .0
       V192   1401-1407 .0
       V193   1408-1414 .0
       V194   1415-1421 .0
       V195   1422-1428 .0
       V196   1429-1435 .0
       V197   1436-1442 .0
       V198   1443-1449 .0
       V199   1450-1456 .0
       V200   1457-1463 .0
       V201   1464-1470 .0
       V202   1471-1477 .0
       V203   1478-1484 .0
       V204   1485-1491 .0
       V205   1492-1498 .3
       V206   1499-1505 .3
       V207   1506-1512 .3
       V208   1513-1519 .3
       V209   1520-1526 .3
       V210   1527-1533 .3
       V211   1534-1540 .3
       V212   1541-1547 .3
       V213   1548-1554 .3
       V214   1555-1561 .3
       V215   1562-1568 .3
       V216   1569-1575 .3
       V217   1576-1582 .3
       V218   1583-1589 .3
       V219   1590-1596 .3
       V220   1597-1603 .3
       V221   1604-1610 .3
       V222   1611-1617 .3
       V223   1618-1624 .3
       V224   1625-1631 .3
       V225   1632-1638 .3
       V226   1639-1645 .3
       V227   1646-1652 .3
       V228   1653-1659 .3
       V229   1660-1666 .3
       V230   1667-1673 .3
       V231   1674-1680 .3
       V232   1681-1687 .3
       V233   1688-1694 .3
       V234   1695-1701 .3
       V235   1702-1708 .3
       V236   1709-1715 .3
       V237   1716-1722
       V238   1723-1729
       V239   1730-1736
       V240   1737-1743
       V241   1744-1750
       V242   1751-2002
      ;
LABEL   PROV = 'Province'
        ED = 'Electroral district'
        EA = 'Enumeration area'
        COUNTY = 'County/ Census division'
        MUNIC = 'Municipality'
        SUBDIV = 'Subdivision'
        RURAL = 'Rural/ Urban part code'
        CMA = 'Metropolitan area/ Census agglomeration'
        CT = 'Census tract'
        CMAPART = 'CMA/ CA part'
        MUNSIZE = 'Municipality size code- Urban'
        RURSIZE = 'Rural/ Urban size code'
        REFCODE = 'Reference code'
        ECONREG = 'Economic region of Statistics Canada'
        CMCA = 'Canada mannpower centre area code'
        CTV = 'City, town, village- alphabetic seq numb'
        CMA-CA = 'CMA/ CA- alphabetic seq number'
        CONTROL = 'Casper control field'
        MUNSUBDV = 'Municicpal subdivision'
        BLANK1 = 'Blank- for future use'
        ECONAREA = 'Economic area'
        MSUBSIZE = 'Municipal subdivision size'
        RURCODE = 'Rural/urban & CMA/CA codes'
        CMACODE = 'CMA/CA code'
        LGECITY = 'Largest city code'
        DSN = 'Dataset name'
        SPBYTES = 'Spare bytes'
        V1 = 'Tot popl'
        V2 = 'Tot male popl'
        V3 = 'Tot female popl'
        V4 = 'Males-mother tongue:English'
        V5 = 'Males-mother tongue: French'
        V6 = 'Males-mother tongue: Arabic'
        V7 = 'Males-mother tongue: Chinese'
        V8 = 'Males-mother tongue: Czech'
        V9 = 'Males-mother tongue: Danish'
        V10 = 'Males-mother tongue: Eskimo'
        V11 = 'Males-mother tongue: Estonian'
        V12 = 'Males-mother tongue: Finnish'
        V13 = 'Males-mother tongue: Flemish'
        V14 = 'Males-mother tongue: Gaelic'
        V15 = 'Males-mother tongue: German'
        V16 = 'Males-mother tongue: Greek'
        V17 = 'Males-mother tongue: Icelandic'
        V18 = 'Males-mother tongue: Indian'
        V19 = 'Males-mother tongue: Indo-Pakistani'
        V20 = 'Males-mother tongue: Italian'
        V21 = 'Males-mother tongue: Japanese'
        V22 = 'Males-mother tongue: Lettish'
        V23 = 'Males-mother tongue: Lithuanian'
        V24 = 'Males-mother tongue: Magyar (Hungarian)'
        V25 = 'Males-mother tongue: Netherlands'
        V26 = 'Males-mother tongue: Norwegian'
        V27 = 'Males-mother tongue: Polish'
        V28 = 'Males-mother tongue: Potuegese'
        V29 = 'Males-mother tongue: Romanian'
        V30 = 'Males-mother tongue: Russian'
        V31 = 'Males-mother tongue: Crotian, Serbian etc.'
        V32 = 'Males-mother tongue: Slovak'
        V33 = 'Males-mother tongue: Spanish'
        V34 = 'Males-mother tongue: Swedish'
        V35 = 'Males-mother tongue: Ukranian'
        V36 = 'Males-mother tongue: Welsh'
        V37 = 'Males-mother tongue: Yiddish'
        V38 = 'Males-mother tongue: Others'
        V39 = 'Females-mother tongue: English'
        V40 = 'Females-mother tongue: French'
        V41 = 'Females-mother tongue: Arabic'
        V42 = 'Females-mother tongue: Chinese'
        V43 = 'Females-mother tongue: Czech'
        V44 = 'Females-mother tongue: Danish'
        V45 = 'Females-mother tongue: Eskimo'
        V46 = 'Females-mother tongue: Estonian'
        V47 = 'Females-mother tongue: Finnish'
        V48 = 'Females-mother tongue: Flemish'
        V49 = 'Females-mother tongue: Gaelic'
        V50 = 'Females-mother tongue: German'
        V51 = 'Females-mother tongue: Greek'
        V52 = 'Females-mother tongue: Icelandic'
        V53 = 'Females-mother tongue: Indian'
        V54 = 'Females-mother tongue: Indo-Pakistani'
        V55 = 'Females-mother tongue: Italian'
        V56 = 'Females-mother tongue: Japanese'
        V57 = 'Females-mother tongue: Lettish'
        V58 = 'Females-mother tongue: Lithuanian'
        V59 = 'Females-mother tongue: Magyar (Hungarian)'
        V60 = 'Females-mother tongue: Netherlands'
        V61 = 'Females-mother tongue: Norwegian'
        V62 = 'Females-mother tongue: Polish'
        V63 = 'Females-mother tongue: Portuegese'
        V64 = 'Females-mother tongue: Romanian'
        V65 = 'Females-mother tongue: Russian'
        V66 = 'Females-mother tongue: Croatian, Serbian etc.'
        V67 = 'Females-mother tongue: Slovak'
        V68 = 'Females-mother tongue: Spanish'
        V69 = 'Females-mother tongue: Swedish'
        V70 = 'Females-mother tongue: Ukranian'
        V71 = 'Females-mother tongue: Welsh'
        V72 = 'Females-mother tongue: Yiddish'
        V73 = 'Females-mother tongue: Others'
        V74 = 'Males-under 20-mother tongue: English'
        V75 = 'Males-under 20-mother tongue: French'
        V76 = 'Males-under 20-mother tongue: German'
        V77 = 'Males-under 20-mother tongue: Italian'
        V78 = 'Males-under 20-mother tongue: Netherlands'
        V79 = 'Males-under 20-mother tongue: Polish'
        V80 = 'Males-under 20-mother tongue: Scandinavian'
        V81 = 'Males-under 20-mother tongue: Ukranian'
        V82 = 'Males-under 20-mother tongue: Yiddish'
        V83 = 'Males-under 20-mother tongue: Asian languages'
        V84 = 'Males-under 20-mother tongue: Other'
        V85 = 'Males-20 to 34-motehr tongue: English'
        V86 = 'Males-20 to 34-mother tongue: French'
        V87 = 'Males-20 to 34-mother tongue: German'
        V88 = 'Males-20 to 34-mother tongue: Italian'
        V89 = 'Males-20 to 34-mother tongue: Netherlands'
        V90 = 'Males-20 to 34-mother tongue: Polish'
        V91 = 'Males-20 to 34-mother tongue: Scandinavian'
        V92 = 'Males-20 to 34-mother tongue: Ukranian'
        V93 = 'Males-20 to 34-mother tongue: Yiddish'
        V94 = 'Males-20 to 34-mother tongue: Asian languages'
        V95 = 'Males-20 to 34-mother tongue: Others'
        V96 = 'Males-35 to 64-mother tongue:English'
        V97 = 'Males-35 to 64-mother tongue: French'
        V98 = 'Males-35 to 64-mother tongue: German'
        V99 = 'Males-35 to 64-mother tongue: Italian'
        V100 = 'Males-35 to 64-mother tongue: Netherlands'
        V101 = 'Males-35 to 64-mother tongue: Polish'
        V102 = 'Males-35 to 64-mother tongue: Scandinavian'
        V103 = 'Males-35 to 64-mother tongue: Ukranian'
        V104 = 'Males-35 to 64-mother tongue: Yiddish'
        V105 = 'Males-35 to 64-mother tongue: Asian languages'
        V106 = 'Males-35 to 64-mother tongue: Others'
        V107 = 'Males 65 & over-mother tongue:English'
        V108 = 'Males-65 & over-mother tongue: French'
        V109 = 'Males-65 & over-mother tongue: German'
        V110 = 'Males-65 & over-mother tongue: Italian'
        V111 = 'Males-65 & over-mother tongue: Netherlands'
        V112 = 'Males-65 & over-mother tongue: Polish'
        V113 = 'Males-65 & over-mother tongue: Scandinavian'
        V114 = 'Males-65 & over-mother tongue: Ukranian'
        V115 = 'Males-65 & over-mother tongue: Yiddish'
        V116 = 'Males-65 & over-mother tongue: Asian languages'
        V117 = 'Males-65 & over-mother tongue: Others'
        V118 = 'Females-under 20-mother tongue:English'
        V119 = 'Females-under 20-mother tongue: French'
        V120 = 'Females-under 20-mother tongue: German'
        V121 = 'Females-under 20-mother tongue: Italian'
        V122 = 'Females-under 20-mother tongue: Netherlands'
        V123 = 'Females-under 20-mother tongue: Polish'
        V124 = 'Females-under 20-mother tongue: Scandinavian'
        V125 = 'Females-under 20-mother tongue: Ukranian'
        V126 = 'Females-under 20-mother tongue: Yiddish'
        V127 = 'Females-under 20-mother tongue: Asian languages'
        V128 = 'Females-under 20-mother tongue: Others'
        V129 = 'Females-20 to 34:mother tongue:English'
        V130 = 'Females-20 to 34-mother tongue: French'
        V131 = 'Females-20 to 34-mother tongue: German'
        V132 = 'Females-20 to 34-mother tongue: Italian'
        V133 = 'Females-20 to 34-mother tongue: Netherlands'
        V134 = 'Females-20 to 34-mother tongue: Polish'
        V135 = 'Females-20 to 34-mother tongue: Scandinavian'
        V136 = 'Females-20 to 34-mother tongue: Ukranian'
        V137 = 'Females-20 to 34-mother tongue: Yiddish'
        V138 = 'Females-20 to 34-mother tongue: Asian languages'
        V139 = 'Females-20 to 34-mother tongue: Others'
        V140 = 'Females-35 to 64-mother tongue:English'
        V141 = 'Females-35 to 64-mother tongue: French'
        V142 = 'Females-35 to 64-mother tongue: German'
        V143 = 'Females-35 to 64-mother tongue: Italian'
        V144 = 'Females-35 to 64-mother tongue: Netherlands'
        V145 = 'Females-35 to 64-mother tongue: Polish'
        V146 = 'Females-35 to 64-mother tongue: Scandinavian'
        V147 = 'Females-35 to 64-mother tongue: Ukranian'
        V148 = 'Females-35 to 64-mother tongue: Yiddish'
        V149 = 'Females-35 to 64-mother tongue: Asian languages'
        V150 = 'Females-35 to 64-mother tongue: Others'
        V151 = 'Females-65 & over-mother tongue:English'
        V152 = 'Females-65 & over-mother tongue: French'
        V153 = 'Females-65 & over-mother tongue: German'
        V154 = 'Females-65 & over-mother tongue: Italian'
        V155 = 'Females-65 & over-mother tongue: Netherlands'
        V156 = 'Females-65 & over-mother tongue: Polish'
        V157 = 'Females-65 & over-mother tongue: Scandinavian'
        V158 = 'Females-65 & over-mother tongue: Ukranian'
        V159 = 'Females-65 & over-mother tongue: Yiddish'
        V160 = 'Females-65 & over-mother tongue: Asian languages'
        V161 = 'Females-65 & over-mother tongue: Others'
        V162 = 'Males- single- age: under 20'
        V163 = 'Males- single- age: 15-19'
        V164 = 'Males- single- age: 20-24'
        V165 = 'Males- single- age: 25-34'
        V166 = 'Males- single- age: 45-44'
        V167 = 'Males- single- age: 45-54'
        V168 = 'Males- single- age: 55-64'
        V169 = 'Males- single- age: 65 & over'
        V170 = 'Males- married- age: under 15'
        V171 = 'Males- married- age: 15-19'
        V172 = 'Males- married- age: 20-24'
        V173 = 'Males- married- age: 25-34'
        V174 = 'Males- married- age: 35-44'
        V175 = 'Males- married- age: 45-54'
        V176 = 'Males- married- age: 55-64'
        V177 = 'Males- married- age: 65 & over'
        V178 = 'Males- separated- age: under 15'
        V179 = 'Males- sep- age: 15-19'
        V180 = 'Males- sep- age: 20-24'
        V181 = 'Males- sep- age: 25-34'
        V182 = 'Males- sep- age: 35-44'
        V183 = 'Males- sep- age: 45-54'
        V184 = 'Males- sep- age: 55-64'
        V185 = 'Males- sep- age: 65 & over'
        V186 = 'Males- widowed- age: under 15'
        V187 = 'Males- widowed- age: 15-19'
        V188 = 'Males- widowed- age: 20-24'
        V189 = 'Males- widowed- age: 25-34'
        V190 = 'Males- widowed- age: 35-44'
        V191 = 'Males- widowed- age: 45-54'
        V192 = 'Males- widowed- age: 55-64'
        V193 = 'Males- widowed- age: 65 & over'
        V194 = 'Males- divorced- age: under 15'
        V195 = 'Males- divorced- age: 15-19'
        V196 = 'Males- divorced- age: 20-24'
        V197 = 'Males- divorced- age: 25-34'
        V198 = 'Males- divorced- age: 35-44'
        V199 = 'Males- divorced- age: 45-54'
        V200 = 'Males- divorced- age: 55-64'
        V201 = 'Males- divorced- age: 65 & over'
        V202 = 'Females- single- age: under 15'
        V203 = 'Females- single- age: 15-19'
        V204 = 'Females- single- age: 20-24'
        V205 = 'Females- single- age: 25-34'
        V206 = 'Females- single- age: 35-44'
        V207 = 'Females- single- age: 45-54'
        V208 = 'Females- single- age: 55-64'
        V209 = 'Females- single- age: 65 & over'
        V210 = 'Females- married- age: under 15'
        V211 = 'Females- married- age: 15-19'
        V212 = 'Females- married- age: 20-24'
        V213 = 'Females- married- age: 25-34'
        V214 = 'Females- married- age: 35-44'
        V215 = 'Females- married- age: 45-54'
        V216 = 'Females- married- age: 55-64'
        V217 = 'Females- married- age: 65 & over'
        V218 = 'Females- separated- age: under 15'
        V219 = 'Females- sep- age: 15-19'
        V220 = 'Females- sep- age: 20-24'
        V221 = 'Females- sep- age: 25-34'
        V222 = 'Females- sep- age: 35-44'
        V223 = 'Females- sep- age: 45-54'
        V224 = 'Females- sep- age: 55-64'
        V225 = 'Females- sep- age: 65 & over'
        V226 = 'Females- widowed- age: under 15'
        V227 = 'Females- widowed- age: 15-19'
        V228 = 'Females- widowed- age: 20-24'
        V229 = 'Females- widowed- age: 25-34'
        V230 = 'Females- widowed- age: 35-44'
        V231 = 'Females- widowed- age: 45-54'
        V232 = 'Females- widowed- age: 55-64'
        V233 = 'Females- widowed- age: 65 & over'
        V234 = 'Females- divorced- age: under 15'
        V235 = 'Females- divorced- age: 15-19'
        V236 = 'Females- divorced- age: 20-24'
        V237 = 'Females- divorced- age: 25-34'
        V238 = 'Females- divorced- age: 35-44'
        V239 = 'Females- divorced- age: 45-54'
        V240 = 'Females- divorced- age: 55-64'
        V241 = 'Females- divorced- age: 65 & over'
        V242 = 'Zeroes filled cells'
      ;
FORMAT  PROV        V1_F.
        RURAL       V7_F.
        CMAPART     V10_F.
        MUNSIZE     $V11_F.
        ECONAREA    V21_F.
        RURCODE     V23_F.
        CMACODE     V24_F.
        LGECITY     V25_F.
;
